Subject: Re: A Note on Broadcast Control Packets

From: Charles Perkins <[email-masked]>
Date: Mon, 1 Dec 1997 08:48:49 -0800 (PST)

Chip wrote:

> Zygmunt wrote:
> 
>   First let me state that I believe that one of the salient advantages 
>   that the wireless communication environment offers is the *broadcasting* 
>   feature.
>                               .....
> In other words, a radio may not hear a broadcast control message
> because it is busy transmitting or receiving on another channel.

This is something that we need to decide right away.
Either we can use local broadcast, or we cannot.
I understand arguments for both sides, but if we cannot
use local broadcast then it will have a drastic effect on
the available design space.  Could somebody help spell out
alternative design strategies?

Another alternative is to allow broadcast, and limit the
applicability statement for the protocol to those situations
where broadcast is available.  I favor this alternative.
Moreover, I would expect that adherence to a broadcast
protocol would pay off in ways other than protocol simplicity.
Maybe the availability of a Proposed Standard from the manet
working group would influence vendors to make products that
can monitor a low-volume broadcast control channel in addition
to their assigned data channel.

Regards,
Charlie P.